Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Interface JField

All Superinterfaces:
  HasAnnotations, HasMetaData

All Known Subinterfaces:
  JEnumConstant

    public interface JField

extends HasAnnotations, HasMetaData

Represents a field declaration.

Method Summary
`JClassType` | `getEnclosingType()`
`java.lang.String` | `getName()`
`JType` | `getType()`
`boolean` | `isDefaultAccess()`
`JEnumConstant` | `isEnumConstant()`
`boolean` | `isFinal()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations
`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasMetaData
`getMetaData, getMetaDataTags`

Method Detail

### getEnclosingType

    JClassType getEnclosingType()

### getName

    java.lang.String getName()

### getType

    JType getType()

### isDefaultAccess

    boolean isDefaultAccess()

### isEnumConstant

    JEnumConstant isEnumConstant()

### isFinal

    boolean isFinal()

### isPrivate

    boolean isPrivate()

### isProtected

    boolean isProtected()

### isPublic

    boolean isPublic()

### isStatic

    boolean isStatic()

### isTransient

    boolean isTransient()

### isVolatile

    boolean isVolatile()

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD